package com.cristobalbernal.foro.controlador;

import com.cristobalbernal.foro.Modelo.Respuestas;
import com.cristobalbernal.foro.Servicios.ServicioRespuestas;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

import java.net.MalformedURLException;

@Controller
public class Controlador {
    @Autowired
    private ServicioRespuestas servicioRespuestas;

    @GetMapping({"/entrar/{usuario}", "/entrar", "/usuario/{usuario}", "/usuario"})
    public String login(@PathVariable(name = "usuario", required = false) String usuario,
                        Model model) throws MalformedURLException {
        model.addAttribute("titulo", "Panel de control");
        model.addAttribute("usuario", usuario);
        return "admin/login";
    }

    @GetMapping("/home")
    public String indice(Model model){
        model.addAttribute("listaRespuestas",servicioRespuestas.findAll());
        return "index";
    }

    @GetMapping("/registrar")
    public String registrar(){
        return "Registrar/registrar";
    }
    @GetMapping("/crearPregunta")
    public String pregunta(){
        return "Ask_Question/ask_question";
    }
    @GetMapping("/postdetall")
    public String postDetall(Model model){
        Respuestas[] respuestas = servicioRespuestas.findAll();
        model.addAttribute("titulo", respuestas[0].getTitulos());
        model.addAttribute("cuerpo", respuestas[0].getDescripcion());
        return "Respuestas/post-detall";
    }


}

